# Base image: postgres-exporter
FROM wrouesnel/postgres_exporter:latest as exporter_custom

# Add your custom queries.yaml to the image
COPY queries.yaml /etc/postgres_exporter/queries.yaml

# Expose the default port
EXPOSE 9187

# Command to run the exporter with the custom query path
CMD [ \
  "--extend.query-path=/etc/postgres_exporter/queries.yaml", \
  "--log.level=debug" \
]
